Bug 833222 - memberOf attribute and plugin behaviour between sub-suffixes
memberOf attribute and plugin behaviour between sub-suffixes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
6.4
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Rich Megginson
Sankar Ramalingam
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 18:23 EDT by Nathan Kinder
Modified: 2013-02-21 03:18 EST (History)
3 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Enhancement
Doc Text:
Feature: memberOf Reason: Need plugin to work across multiple backends/suffixes Result (if any):
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 03:18:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2012-06-18 18:23:56 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/326

https://bugzilla.redhat.com/show_bug.cgi?id=804153 (''Fedora'')

{{{
Description of problem:
It seems that the memberOf attribute handling by the memberOf plugin limited to
objects inside the same subsuffix.
If my group suffix is based on a different database from my user suffix, then
the memberof plugin does not update the memberof attribute.
The plugin works only if users and groups are locatred in the same suffix.


Version-Release number of selected component (if applicable):
v. 1.2.10.4

How reproducible:
see description

Steps to Reproduce:
1.
2.
3.

Actual results:
Unable to use this plugin because memberof does not work properly.

Expected results:
Add the correct attribute to the user entry

Additional info:
}}}
Comment 1 RHEL Product and Program Management 2012-07-10 03:10:27 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 19:01:16 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 3 Ján Rusnačko 2012-08-06 03:45:43 EDT
bug833222 testcases added to

memOfEnhancement/memOfEnhancement.sh
Comment 5 Ján Rusnačko 2012-11-12 09:50:39 EST
520|0 29 25164 1 1|                                                                  
520|0 29 25164 1 2|----------------- Starting Test bug833222_01 -------------------------
520|0 29 25164 1 3|Create new database and add group - MemberOf attribute should be added to users.
520|0 29 25164 1 4|                                                                  
520|0 29 25164 1 5|ACTUAL: 0
520|0 29 25164 1 6|EXPECTED: 0
520|0 29 25164 1 7|Test result for bug833222_01, Add new database, Actual_Result=0, Expected_Result=0
520|0 29 25164 1 8|TestCase [bug833222_01] result-> [PASS]
520|0 29 25164 1 9|                                                                  
520|0 29 25164 1 10|ACTUAL: cn=memofegrp3,ou=groupsdb,dc=memof,dc=com
520|0 29 25164 1 11|EXPECTED: cn=memofegrp3,ou=GroupsDB,dc=memof,dc=com
520|0 29 25164 1 12|Test result for bug833222_01, MemberOf attribute should be added to user uid=memofenh1,ou=People,dc=memof,dc=com, Actual_Result=cn=memofegrp3,ou=groupsdb,dc=memof,dc=com, Expected_Result=cn=memofegrp3,ou=groupsdb,dc=memof,dc=com
520|0 29 25164 1 13|TestCase [bug833222_01] result-> [PASS]
520|0 29 25164 1 14|                                                                  
520|0 29 25164 1 15|ACTUAL: cn=memofegrp3,ou=groupsdb,dc=memof,dc=com
520|0 29 25164 1 16|EXPECTED: cn=memofegrp3,ou=GroupsDB,dc=memof,dc=com
520|0 29 25164 1 17|Test result for bug833222_01, MemberOf attribute should be added to user uid=memofenh2,ou=People,dc=memof,dc=com, Actual_Result=cn=memofegrp3,ou=groupsdb,dc=memof,dc=com, Expected_Result=cn=memofegrp3,ou=groupsdb,dc=memof,dc=com
520|0 29 25164 1 18|TestCase [bug833222_01] result-> [PASS]
520|0 29 25164 1 19|                                                                  
520|0 29 25164 1 20|ACTUAL: cn=memofegrp4,ou=groupsdb,dc=memof,dc=com
520|0 29 25164 1 21|EXPECTED: cn=memofegrp4,ou=GroupsDB,dc=memof,dc=com
520|0 29 25164 1 22|Test result for bug833222_01, MemberOf attribute should be added to user uid=memofenh1,ou=People,dc=memof,dc=com, Actual_Result=cn=memofegrp4,ou=groupsdb,dc=memof,dc=com, Expected_Result=cn=memofegrp4,ou=groupsdb,dc=memof,dc=com
520|0 29 25164 1 23|TestCase [bug833222_01] result-> [PASS]
520|0 29 25164 1 24|                                                                  
520|0 29 25164 1 25|ACTUAL: cn=memofegrp4,ou=groupsdb,dc=memof,dc=com
520|0 29 25164 1 26|EXPECTED: cn=memofegrp4,ou=GroupsDB,dc=memof,dc=com
520|0 29 25164 1 27|Test result for bug833222_01, MemberOf attribute should be added to user uid=memofenh2,ou=People,dc=memof,dc=com, Actual_Result=cn=memofegrp4,ou=groupsdb,dc=memof,dc=com, Expected_Result=cn=memofegrp4,ou=groupsdb,dc=memof,dc=com
520|0 29 25164 1 28|TestCase [bug833222_01] result-> [PASS]
520|0 29 25164 1 29|                                                                  
520|0 29 25164 1 30|-------------------Test bug833222_01 Completed------------------------                     
520|0 33 25164 1 2|----------------- Starting Test bug833222_02 -------------------------
520|0 33 25164 1 3|Rename user and check that groups in different backend were updated correctly
520|0 33 25164 1 4|                                                                  
520|0 33 25164 1 5|ACTUAL: 0
520|0 33 25164 1 6|EXPECTED: 0
520|0 33 25164 1 7|Test result for bug833222_02, User uid=memofenh2rnmd,ou=People,dc=memof,dc=com should be member of group cn=memofegrp3,ou=GroupsDB,dc=memof,dc=com, Actual_Result=0, Expected_Result=0
520|0 33 25164 1 8|TestCase [bug833222_02] result-> [PASS]
520|0 33 25164 1 9|                                                                  
520|0 33 25164 1 10|ACTUAL: 0
520|0 33 25164 1 11|EXPECTED: 0
520|0 33 25164 1 12|Test result for bug833222_02, User uid=memofenh2rnmd,ou=People,dc=memof,dc=com should be member of group cn=memofegrp4,ou=GroupsDB,dc=memof,dc=com, Actual_Result=0, Expected_Result=0
520|0 33 25164 1 13|TestCase [bug833222_02] result-> [PASS]
520|0 33 25164 1 14|                                                                  
220|0 33 0 09:38:17|PASS
200|0 34 09:38:17|TP Start
520|0 34 25164 1 1|                                                                  
520|0 34 25164 1 2|----------------- Starting Test bug833222_03 -------------------------
520|0 34 25164 1 3|Rename group and check that users in different backend were updated correctly
520|0 34 25164 1 4|                                                                  
520|0 34 25164 1 5|ACTUAL: cn=memofegrp4rnmd,ou=groupsdb,dc=memof,dc=com
520|0 34 25164 1 6|EXPECTED: cn=memofegrp4rnmd,ou=groupsdb,dc=memof,dc=com
520|0 34 25164 1 7|Test result for bug833222_03, User uid=memofenh1,ou=People,dc=memof,dc=com should be member of group cn=memofegrp4rnmd,ou=GroupsDB,dc=memof,dc=com, Actual_Result=cn=memofegrp4rnmd,ou=groupsdb,dc=memof,dc=com, Expected_Result=cn=memofegrp4rnmd,ou=groupsdb,dc=memof,dc=com
520|0 34 25164 1 8|TestCase [bug833222_03] result-> [PASS]
520|0 34 25164 1 9|                                                                  
520|0 34 25164 1 10|ACTUAL: cn=memofegrp4rnmd,ou=groupsdb,dc=memof,dc=com
520|0 34 25164 1 11|EXPECTED: cn=memofegrp4rnmd,ou=groupsdb,dc=memof,dc=com
520|0 34 25164 1 12|Test result for bug833222_03, User uid=memofenh2,ou=People,dc=memof,dc=com should be member of group cn=memofegrp4rnmd,ou=GroupsDB,dc=memof,dc=com, Actual_Result=cn=memofegrp4rnmd,ou=groupsdb,dc=memof,dc=com, Expected_Result=cn=memofegrp4rnmd,ou=groupsdb,dc=memof,dc=com
520|0 34 25164 1 13|TestCase [bug833222_03] result-> [PASS]
520|0 34 25164 1 14|                                                                  
220|0 34 0 09:38:17|PASS
200|0 35 09:38:17|TP Start
520|0 35 25164 1 1|                                                                  
520|0 35 25164 1 2|----------------- Starting Test bug833222_04 -------------------------
520|0 35 25164 1 3|Partial removal of memberofgroupattr accross backends: removing member attribute from Group3
520|0 35 25164 1 4|                                                                  
520|0 35 25164 1 5|ACTUAL: 1
520|0 35 25164 1 6|EXPECTED: 1
520|0 35 25164 1 7|Test result for bug833222_04, MemberOf attribute should not contain Group3 for user uid=memofenh1,ou=People,dc=memof,dc=com, Actual_Result=1, Expected_Result=1
520|0 35 25164 1 8|TestCase [bug833222_04] result-> [PASS]
520|0 35 25164 1 9|                                                                  
520|0 35 25164 1 10|ACTUAL: cn=memofegrp4,ou=groupsdb,dc=memof,dc=com
520|0 35 25164 1 11|EXPECTED: cn=memofegrp4,ou=GroupsDB,dc=memof,dc=com
520|0 35 25164 1 12|Test result for bug833222_04, MemberOf attribute should contain Group4 for  user uid=memofenh1,ou=People,dc=memof,dc=com, Actual_Result=cn=memofegrp4,ou=groupsdb,dc=memof,dc=com, Expected_Result=cn=memofegrp4,ou=groupsdb,dc=memof,dc=com
520|0 35 25164 1 13|TestCase [bug833222_04] result-> [PASS]
520|0 35 25164 1 14|                                                                  
520|0 35 25164 1 15|-------------------Test bug833222_04 Completed------------------------
520|0 35 25164 1 16|                                                                  
220|0 35 0 09:38:17|PASS
200|0 36 09:38:17|TP Start
520|0 36 25164 1 1|                                                                  
520|0 36 25164 1 2|----------------- Starting Test bug833222_05 -------------------------
520|0 36 25164 1 3|Partial removal of memberofgroupattr accross backends: removing uniqueMember attribute from Group4
520|0 36 25164 1 4|                                                                  
520|0 36 25164 1 5|ACTUAL: 1
520|0 36 25164 1 6|EXPECTED: 1
520|0 36 25164 1 7|Test result for bug833222_05, MemberOf attribute should not contain Group4 for user uid=memofenh2,ou=People,dc=memof,dc=com, Actual_Result=1, Expected_Result=1
520|0 36 25164 1 8|TestCase [bug833222_05] result-> [PASS]
520|0 36 25164 1 9|                                                                  
520|0 36 25164 1 10|ACTUAL: cn=memofegrp3,ou=groupsdb,dc=memof,dc=com
520|0 36 25164 1 11|EXPECTED: cn=memofegrp3,ou=GroupsDB,dc=memof,dc=com
520|0 36 25164 1 12|Test result for bug833222_05, MemberOf attribute should contain Group3 for  user uid=memofenh2,ou=People,dc=memof,dc=com, Actual_Result=cn=memofegrp3,ou=groupsdb,dc=memof,dc=com, Expected_Result=cn=memofegrp3,ou=groupsdb,dc=memof,dc=com
520|0 36 25164 1 13|TestCase [bug833222_05] result-> [PASS]
520|0 36 25164 1 14|                                                                  
520|0 36 25164 1 15|-------------------Test bug833222_05 Completed------------------------
520|0 36 25164 1 16|                                                                  
220|0 36 0 09:38:17|PASS
200|0 37 09:38:17|TP Start
520|0 37 25164 1 1|                                                                  
520|0 37 25164 1 2|----------------- Starting Test bug833222_06 -------------------------
520|0 37 25164 1 3|Complete removal of memberofgroupattr accross backends
520|0 37 25164 1 4|                                                                  
520|0 37 25164 1 5|ACTUAL: 1
520|0 37 25164 1 6|EXPECTED: 1
520|0 37 25164 1 7|Test result for bug833222_06, MemberOf attribute should not contain Group3 or Group4 for user uid=memofenh1,ou=People,dc=memof,dc=com, Actual_Result=1, Expected_Result=1
520|0 37 25164 1 8|TestCase [bug833222_06] result-> [PASS]
520|0 37 25164 1 9|                                                                  
520|0 37 25164 1 10|ACTUAL: 1
520|0 37 25164 1 11|EXPECTED: 1
520|0 37 25164 1 12|Test result for bug833222_06, MemberOf attribute should not contain Group3 or Group4 for user uid=memofenh2,ou=People,dc=memof,dc=com, Actual_Result=1, Expected_Result=1
520|0 37 25164 1 13|TestCase [bug833222_06] result-> [PASS]
520|0 37 25164 1 14|                                                                  
520|0 37 25164 1 15|-------------------Test bug833222_06 Completed------------------------
520|0 37 25164 1 16|                                                                  
220|0 37 0 09:38:17|PASS
200|0 38 09:38:18|TP Start
520|0 38 25164 1 1|                                                                  
520|0 38 25164 1 2|----------------- Starting Test bug833222_07 -------------------------
520|0 38 25164 1 3|Check that nested groups with different backends update memberof correctly
520|0 38 25164 1 4|                                                                  
520|0 38 25164 1 5|ACTUAL: cn=memofegrp3,ou=groupsdb,dc=memof,dc=com
520|0 38 25164 1 6|EXPECTED: cn=memofegrp3,ou=GroupsDB,dc=memof,dc=com
520|0 38 25164 1 7|Test result for bug833222_07, Group cn=memofegrp3,ou=GroupsDB,dc=memof,dc=com should be added to MemberOf attribute of user uid=memofenh1,ou=People,dc=memof,dc=com, Actual_Result=cn=memofegrp3,ou=groupsdb,dc=memof,dc=com, Expected_Result=cn=memofegrp3,ou=groupsdb,dc=memof,dc=com
520|0 38 25164 1 8|TestCase [bug833222_07] result-> [PASS]
520|0 38 25164 1 9|                                                                  
220|0 38 0 09:38:18|PASS

All tests passed.

[jrusnack@dstet 6.0]$ rpm -qa | grep 389
389-ds-base-1.2.11.15-3.el6.x86_64
Comment 7 errata-xmlrpc 2013-02-21 03:18:14 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html

Note You need to log in before you can comment on or make changes to this bug.